<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="4.1 Data types    A data type is a set of representable values. Every representable value belongs to at least one data type and some belong to several data types. [...]    Every predefined data type is a subtype of itself and of no other data types. It follows that every predefined data type is a supertype of itself and of no other data types. The predefined data types are individually described in each of Subclause 4.2,  Character strings , through Subclause 4.6,  Datetimes and intervals . Row types, reference types and collection types are described in Subclause 4.8,  Row types , Subclause 4.9,  Reference types , Subclause 4.10,  Collection types , respectively.    SQL defines predefined data types named by the following  key word  s: CHARACTER , CHARACTER VARYING , CHARACTER LARGE OBJECT , BINARY LARGE OBJECT , NUMERIC , DECIMAL , SMALLINT , INTEGER , BIGINT , FLOAT , REAL , DOUBLE PRECISION , BOOLEAN , DATE , TIME , TIMESTAMP , and INTERVAL . These names are used in the type designators that constitute the type precedence lists specified in Subclause 9.5,  Type precedence list determination .">
<meta name="KeyWords" content="PredefinedDataType,Class PredefinedDataType,SQLModel,model SQLModel,">
<a href="../../../root.html" target=_top><IMG SRC="../../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;PredefinedDataType&nbsp;{Analysis}&nbsp;derived&nbsp;from:&nbsp;<a href="class3fb90ee3009e.htm" target="contents_frame">SQLDataType</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>4.1 Data types
<BR>
<BR>A data type is a set of representable values. Every representable value belongs to at least one data type and some belong to several data types. [...]
<BR>
<BR>Every predefined data type is a subtype of itself and of no other data types. It follows that every predefined data type is a supertype of itself and of no other data types. The predefined data types are individually described in each of Subclause 4.2, "Character strings", through Subclause 4.6, "Datetimes and intervals". Row types, reference types and collection types are described in Subclause 4.8, "Row types", Subclause 4.9, "Reference types", Subclause 4.10, "Collection types", respectively.
<BR>
<BR>SQL defines predefined data types named by the following &lt;key word&gt; s: CHARACTER , CHARACTER VARYING , CHARACTER LARGE OBJECT , BINARY LARGE OBJECT , NUMERIC , DECIMAL , SMALLINT , INTEGER , BIGINT , FLOAT , REAL , DOUBLE PRECISION , BOOLEAN , DATE , TIME , TIMESTAMP , and INTERVAL . These names are used in the type designators that constitute the type precedence lists specified in Subclause 9.5, "Type precedence list determination".</font><BR><BR>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat3f27d65902fa.htm" target="contents_frame">DataTypes</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Yes</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Operations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Signature</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="op3fa28b1301bc.htm" target="contents_frame">setContainer</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>void&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>setContainer&nbsp;(<a href="../cat3f27d66b01ab/class3fa6a8930071.htm" target="contents_frame">TypedElement</a>&nbsp;newContainer)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3e9b3f3400bf.htm" target="contents_frame">DataType</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op4047ad600205.htm" target="contents_frame">addEAnnotation</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>addEAnnotation&nbsp;(String&nbsp;source)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op4047ae140145.htm" target="contents_frame">addEAnnotationDetail</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>void&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>addEAnnotationDetail&nbsp;(<a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;eAnnotation,&nbsp;String&nbsp;key,&nbsp;String&nbsp;value)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op4047ae3702a4.htm" target="contents_frame">getEAnnotationDetail</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>getEAnnotationDetail&nbsp;(<a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;eAnnotation,&nbsp;String&nbsp;key)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op408026cb008e.htm" target="contents_frame">setAnnotationDetail</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>void&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>setAnnotationDetail&nbsp;(<a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;eAnnotation,&nbsp;String&nbsp;key,&nbsp;String&nbsp;value)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op4047b98b01f0.htm" target="contents_frame">removeEAnnotationDetail</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>void&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>removeEAnnotationDetail&nbsp;(<a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;eAnnotation,&nbsp;String&nbsp;key)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../cat3f27d66b01ab/op4047c9d80114.htm" target="contents_frame">getEAnnotation</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>getEAnnotation&nbsp;(String&nbsp;source)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3ddf83530376.htm" target="contents_frame">getEAnnotation</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>getEAnnotation&nbsp;(String&nbsp;source)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e6b501c3.htm" target="contents_frame">eClass</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d5bf000a.htm" target="contents_frame">EClass</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eClass&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d1204ac028f.htm" target="contents_frame">eIsProxy</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eIsProxy&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3c4f21d90335.htm" target="contents_frame">eResource</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f231001fc.htm" target="contents_frame">EResource</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eResource&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e64d003d.htm" target="contents_frame">eContainer</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eContainer&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3fb9171500e1.htm" target="contents_frame">eContainingFeature</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eContainingFeature&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e71600e6.htm" target="contents_frame">eContainmentFeature</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class39238479039d.htm" target="contents_frame">EReference</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eContainmentFeature&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e66701a3.htm" target="contents_frame">eContents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3ad37e40003d.htm" target="contents_frame">EEList</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eContents&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e6830352.htm" target="contents_frame">eAllContents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d08e8a002c4.htm" target="contents_frame">ETreeIterator</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eAllContents&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d4a910d00bc.htm" target="contents_frame">eCrossReferences</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3ad37e40003d.htm" target="contents_frame">EEList</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eCrossReferences&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3c4f26cb00d3.htm" target="contents_frame">eGet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eGet&nbsp;(<a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3d08e6d601ad.htm" target="contents_frame">eGet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eGet&nbsp;(<a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature,&nbsp;boolean&nbsp;resolve)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3c4f268f023f.htm" target="contents_frame">eSet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eSet&nbsp;(<a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature,&nbsp;<a href="../../cat39a5ed04004e/class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;newValue)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3c4f26de0225.htm" target="contents_frame">eIsSet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eIsSet&nbsp;(<a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="../../cat39a5ed04004e/op3c4f26b4004e.htm" target="contents_frame">eUnset</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>eUnset&nbsp;(<a href="../../cat39a5ed04004e/class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Attributes</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Type</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Initial&nbsp;Value</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f54fbb001dd.htm" target="contents_frame">primitiveType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3edf9e550371.htm" target="contents_frame">PredefinedDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f54fbc4015a.htm" target="contents_frame">PrimitiveType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="../cat3f27d66b01ab/att3f8dbfa903c9.htm" target="contents_frame">description</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="../cat3f27d66b01ab/att3f8dbfb101d5.htm" target="contents_frame">label</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="../../cat39a5ed04004e/att3b65cccf0007.htm" target="contents_frame">name</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Associations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Element</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3f4e624701ac.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3f4e6248015b.htm" target="contents_frame">predefinedRepresentation</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3edf9e550371.htm" target="contents_frame">PredefinedDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3f4e6248016b.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f4e44dd0126.htm" target="contents_frame">DistinctUserDefinedType</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3fa286420050.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa2864203a4.htm" target="contents_frame">containedType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3fb90ee3009e.htm" target="contents_frame">SQLDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa2864203ae.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3fa6a8930071.htm" target="contents_frame">TypedElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3f37e9610117.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3f37e96201f1.htm" target="contents_frame">element</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3e9b3f3400bf.htm" target="contents_frame">DataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3f37e9620201.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f12d9cf01f9.htm" target="contents_frame">CollectionDataType</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3fa7f6b60080.htm" target="contents_frame">=</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa7f6ba0069.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa7f6ba0067.htm" target="contents_frame">dependencies</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3f967cb70382.htm" target="contents_frame">Dependency</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass407d90040314.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role407d9006006e.htm" target="contents_frame">object</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role407d900600c8.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat407d7b39011b/class407d806b013c.htm" target="contents_frame">Privilege</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass407d9c6d001d.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role407d9c7003d9.htm" target="contents_frame">object2</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role407d9c71004b.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat407d7b39011b/class407d9a8b01dd.htm" target="contents_frame">DoubleObjectPrivilege</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3d98a3f1034c.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3d98a3f30241.htm" target="contents_frame">eModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3d98a3f3024b.htm" target="contents_frame">eAnnotations</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3da70b0400ec.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3da70b040327.htm" target="contents_frame">contents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3da70b04031d.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3da70cd20386.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3da70cd40126.htm" target="contents_frame">references</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3da70cd4011c.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3fa7f70f015c.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa7f7110046.htm" target="contents_frame">targetEnd</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../../looseends/role3fa7f7110050.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3f967cb70382.htm" target="contents_frame">Dependency</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Generalization&nbsp;Relationships</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Supplier</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="inh3fb90f2302e1.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3edf9e550371.htm" target="contents_frame">PredefinedDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3fb90ee3009e.htm" target="contents_frame">SQLDataType</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="inh3fb90f3400d1.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3fb90ee3009e.htm" target="contents_frame">SQLDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3e9b3f3400bf.htm" target="contents_frame">DataType</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="inh3f38f4c800d1.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3e9b3f3400bf.htm" target="contents_frame">DataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../cat3f27d66b01ab/inh3fb0fe5501dd.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3f27d66b01ab/class3e9b3eb5002b.htm" target="contents_frame">SQLObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../cat39a5ed04004e/inh3c8d4364024f.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="../../cat39a5ed04004e/inh3c4f1cc50336.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../cat39a5ed04004e/class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
